aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorRobert Yang <liezhi.yang@windriver.com>2016-09-05 22:33:29 -0700
committerRobert Yang <liezhi.yang@windriver.com>2016-09-05 23:13:24 -0700
commite605fb92782aedd4c5a7f577cfe83e5e68e50c16 (patch)
tree4dcbe70ac1c1c499421b727cd2c367d6496195de
parentd48b9f13af440bad37de6056649e4451d2c3a92a (diff)
downloadopenembedded-core-contrib-rbt/qemuarm.tar.gz
openembedded-core-contrib-rbt/qemuarm.tar.bz2
openembedded-core-contrib-rbt/qemuarm.zip
qemuarm.conf: set PREFERRED_VERSION_linux-yoctorbt/qemuarm
The base_version_less_or_equal() will raise errors if PREFERRED_VERSION_linux-yocto is None. For example, when we build DISTRO = "nodistro", PREFERRED_VERSION_linux-yocto is not be defined since it is defined in poky.conf, and then bitbake will choose the higher version which is 4.8 currently, so set PREFERRED_VERSION_linux-yocto to 4.8, otherwise, runqemu can't boot it. Signed-off-by: Robert Yang <liezhi.yang@windriver.com>
-rw-r--r--meta/conf/machine/qemuarm.conf1
1 files changed, 1 insertions, 0 deletions
diff --git a/meta/conf/machine/qemuarm.conf b/meta/conf/machine/qemuarm.conf
index 3ca4d6e462..4c5891ab7c 100644
--- a/meta/conf/machine/qemuarm.conf
+++ b/meta/conf/machine/qemuarm.conf
@@ -15,4 +15,5 @@ QB_SYSTEM_NAME = "qemu-system-arm"
QB_MACHINE = "-machine versatilepb"
QB_KERNEL_CMDLINE_APPEND = "console=ttyAMA0,115200 console=tty"
QB_OPT_APPEND = "-show-cursor -usb -usbdevice tablet"
+PREFERRED_VERSION_linux-yocto ??= "4.8%"
QB_DTB = "${@base_version_less_or_equal('PREFERRED_VERSION_linux-yocto', '4.7', '', 'zImage-versatile-pb.dtb', d)}"